package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BscEnterpriseAutonomy;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 企业自主管理大屏统计（全部） 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-09
 */
public interface BscEnterpriseAutonomyService extends CrudService<BscEnterpriseAutonomy> {

    /**
     * 企业自主管理大屏统计-全部单位数据查询
     *
     * @param moduleType 模块类型
     * @param dataType   数据类型
     * @return
     */
    Object enterpriseAutonomy(String moduleType, String dataType);

    /**
     * 企业自主管理大屏统计(全部)-企业自主情况模块查询（定时）
     * @return
     */
    Object enterpriseAutonomyData();

    /**
     * 最后6条数据查询
     * @return
     */
    List<BscEnterpriseAutonomy> enterpriseAutonomyList();

    /**
     * 企业自主管理大屏统计(全部)-企业自主巡检情况模块查询（定时）
     * @return
     */
    Object patrolInspection();

    /**
     * 巡检计划子ID查询
     * @param startDate 开始日期
     * @param endDate 结束日期
     * @return
     */
    List<Integer> planSonIdList(String startDate, String endDate);

    /**
     * 企业自主管理大屏统计(全部)-各街镇单位情况模块查询（定时）
     * @return
     */
    List<Map<String, Object>> streetCompany();
}
